git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Python 3.8.1


On 1/29/2020 8:13 AM, J Conrado wrote:

> I installed the Python3.8.1 in my computer. I have other versions 2.6 
> and? 3.7. When I use 2.6 and 3.7 I didn't have problem with:
> 
> 
> python2
> Python 2.6.6 (r266:84292, Jun 20 2019, 14:14:55)
> [GCC 4.4.7 20120313 (Red Hat 4.4.7-23)] on linux2
> Type "help", "copyright", "credits" or "license" for more information.
>  >>> import numpy as np

No matplotlib import here.

> python3.7
> Python 3.7.3 | packaged by conda-forge | (default, Jul ?1 2019, 21:52:21)
> [GCC 7.3.0] :: Anaconda, Inc. on linux
> Type "help", "copyright", "credits" or "license" for more information.
>  >>> import numpy
>  >>> import numpy as np

No matplotlib import here, though Anaconda may include it.

> But if I type:
> 
> python3.8 I had the error messages:
> 
> 
> import numpy as np
> import matplotlib.pyplot as plt
> from mpl_toolkits.basemap import BasemapTraceback (most recent call last):
>  ? File "<stdin>", line 1, in <module>
> ModuleNotFoundError: No module named 'numpy'
>  >>> Traceback (most recent call last):
>  ? File "<stdin>", line 1, in <module>
> ModuleNotFoundError: No module named 'matplotlib'
> 
> 
> Please what can I do to solve this erros.

Install matplotlib into your 3.8 install.  Possibly
$ python3.8 -m pip install matplotlib


-- 
Terry Jan Reedy